## ignition-msgs5 5.8.1%2Bds

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

configure_file (test_config.h.in
  ${PROJECT_BINARY_DIR}/include/ignition/msgs/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
target_compile_features(gtest PUBLIC cxx_variadic_macros)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)

## ignition-msgs5 5.8.1

=== debian/changelog ===
ignition-msgs5 (5.8.1-1~buster) buster; urgency=medium

  * ignition-msgs5 5.8.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 29 Oct 2021 16:36:53 -0700

ignition-msgs5 (5.8.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 09 Aug 2021 10:36:45 -0700

ignition-msgs5 (5.7.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.7.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 17 Mar 2021 11:34:32 -0500

ignition-msgs5 (5.6.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 28 Dec 2020 10:29:02 -0800

ignition-msgs5 (5.5.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.5.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 21 Dec 2020 16:06:54 -0700

ignition-msgs5 (5.4.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.4.0-1 release

 -- John Shepherd <john@openrobotics.org>  Fri, 13 Nov 2020 13:55:29 -0800

ignition-msgs5 (5.3.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 20 May 2020 18:17:22 -0700

ignition-msgs5 (5.2.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 15:32:58 -0700

ignition-msgs5 (5.1.0-3~buster) buster; urgency=medium

  * ignition-msgs5 5.1.0-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 30 Mar 2020 19:29:12 +0200

ignition-msgs5 (5.1.0-2~buster) buster; urgency=medium

  * ignition-msgs5 5.1.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 30 Mar 2020 16:03:26 +0200

ignition-msgs5 (5.1.0-1~buster) buster; urgency=medium

  * ignition-msgs5 5.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 03 Jan 2020 17:04:30 -0800

=== debian/control ===
Source: ignition-msgs5
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake2-dev,
               libignition-math6-dev,
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign_msgs5-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign_msgs5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-msgs5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Shared library
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

Package: libignition-msgs5-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-msgs5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Development files
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

## ignition-msgs5 5.8.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-msgs5 VERSION 5.8.1)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

# Cross-compilation related options
# In a cross-compilation scenario, it is possible that the ign_msgs_gen
# generator compiled for the target machine cannot be used to generate
# the C++ code corresponding to the .proto definition. For this scenario,
# the following two options can be used as follows.
# First of all, ign-msgs is compiled targeting the host machine, and in the
# build targeting the host, the INSTALL_IGN_MSGS_GEN_EXECUTABLE option is
# enabled:
# > cmake -DINSTALL_IGN_MSGS_GEN_EXECUTABLE:BOOL=ON ..
# ensuring that the ign_msgs_gen is installed in
# <host_install_prefix>/bin/ign_msgs_gen . Then, the same version of ign-msgs
# can be cross-compiled, and in the cross-compilation build the location of the
# host ign_msgs_gen is specified via the IGN_MSGS_GEN_EXECUTABLE
# CMake cache variable:
# > cmake -IGN_MSGS_GEN_EXECUTABLE=<host_install_prefix>/bin/ign_msgs_gen ..

option(
  INSTALL_IGN_MSGS_GEN_EXECUTABLE
  "Install the ign_msgs_gen executable."
  OFF)
mark_as_advanced(INSTALL_IGN_MSGS_GEN_EXECUTABLE)

set(
  IGN_MSGS_GEN_EXECUTABLE
  "$<TARGET_FILE:ign_msgs_gen>"
  CACHE STRING
  "ign_msgs_gen executable used in the ign_msgs_protoc CMake function.")
mark_as_advanced(IGN_MSGS_GEN_EXECUTABLE)

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 COMPONENTS all
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find if ign command is available
find_program(HAVE_IGN_TOOLS ign)

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Test the command line commands
#============================================================================
add_subdirectory(tools)

#============================================================================
# Install proto files
#============================================================================
# TODO: Consider tweaking ign_configure_build() to call add_subdirectory(proto)
# whenever a proto subdirectory exists. This could be used alongside
# ign_msgs_protoc to get uniform support for proto messages across all ignition
# projects.
add_subdirectory(proto)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)


ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  AUTOGENERATED_DOC "${CMAKE_BINARY_DIR}/include/ignition/msgs/"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
)

# Wait to build the doc for the autogenerated code
# The TARGET will exist if doxygen is installed
if(TARGET doc)
  add_dependencies(doc ignition-msgs${PROJECT_VERSION_MAJOR})
endif()

=== include/CMakeLists.txt ===
add_subdirectory(ignition/msgs)

=== src/CMakeLists.txt ===
##################################################
# Build a custom protoc plugin
ign_add_executable(ign_msgs_gen Generator.cc generator_main.cc)
target_link_libraries(ign_msgs_gen
  protobuf::libprotoc
  protobuf::libprotobuf)
target_include_directories(ign_msgs_gen PRIVATE ${PROTOBUF_INCLUDE_DIR})
target_compile_features(ign_msgs_gen PRIVATE ${IGN_CXX_11_FEATURES})

if (UNIX)
  target_link_libraries(ign_msgs_gen pthread)
endif()

if(INSTALL_IGN_MSGS_GEN_EXECUTABLE)
  set_target_properties(ign_msgs_gen PROPERTIES VERSION ${PROJECT_VERSION_FULL})
  install(TARGETS ign_msgs_gen DESTINATION ${IGN_BIN_INSTALL_DIR})
endif()

##################################################
# A function that calls protoc on a protobuf file
# Options:
#   GENERATE_RUBY       - generates ruby code for the message if specified
#   GENERATE_CPP        - generates c++ code for the message if specified
# One value arguments:
#   PROTO_PACKAGE       - Protobuf package the file belongs to (e.g. ".ignition.msgs")
#   PROTOC_EXEC         - Path to protoc
#   INPUT_PROTO         - Path to the input .proto file
#   OUTPUT_CPP_DIR      - Path where C++ files are saved
#   OUTPUT_RUBY_DIR     - Path where Ruby files are saved
#   OUTPUT_CPP_HH_VAR   - A CMake variable name containing a list that the C++ header path should be appended to
#   OUTPUT_CPP_CC_VAR   - A Cmake variable name containing a list that the C++ source path should be appended to
#   OUTPUT_RUBY_VAR     - A Cmake variable name containing a list that the ruby file should be apenned to
# Multi value arguments
#   PROTO_PATH          - Passed to protoc --proto_path
function(ign_msgs_protoc)
  set(options GENERATE_RUBY GENERATE_CPP)
  set(oneValueArgs PROTO_PACKAGE PROTOC_EXEC INPUT_PROTO OUTPUT_CPP_DIR OUTPUT_RUBY_DIR OUTPUT_CPP_HH_VAR OUTPUT_CPP_CC_VAR OUTPUT_RUBY_VAR)
  set(multiValueArgs PROTO_PATH)

  cmake_parse_arguments(ign_msgs_protoc "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  get_filename_component(ABS_FIL ${ign_msgs_protoc_INPUT_PROTO} ABSOLUTE)
  get_filename_component(FIL_WE ${ign_msgs_protoc_INPUT_PROTO} NAME_WE)

  set(protoc_args)
  set(output_files)

  foreach(proto_path ${ign_msgs_protoc_PROTO_PATH})
    list(APPEND protoc_args "--proto_path=${proto_path}")
  endforeach()

  set(proto_package_dir ".")
  if(ign_msgs_protoc_PROTO_PACKAGE)
    string(REPLACE "." "/" proto_package_dir ${ign_msgs_protoc_PROTO_PACKAGE})
  endif()

  if(ign_msgs_protoc_GENERATE_CPP)
    set(output_header "${ign_msgs_protoc_OUTPUT_CPP_DIR}${proto_package_dir}/${FIL_WE}.pb.h")
    set(output_source "${ign_msgs_protoc_OUTPUT_CPP_DIR}${proto_package_dir}/${FIL_WE}.pb.cc")
    list(APPEND ${ign_msgs_protoc_OUTPUT_CPP_HH_VAR} ${output_header})
    list(APPEND ${ign_msgs_protoc_OUTPUT_CPP_CC_VAR} ${output_source})
    list(APPEND output_files ${output_header})
    list(APPEND output_files ${output_source})
    list(APPEND protoc_args "--plugin=protoc-gen-ignmsgs=${IGN_MSGS_GEN_EXECUTABLE}")
    list(APPEND protoc_args "--cpp_out=dllexport_decl=IGNITION_MSGS_VISIBLE:${ign_msgs_protoc_OUTPUT_CPP_DIR}")
    list(APPEND protoc_args "--ignmsgs_out" "${ign_msgs_protoc_OUTPUT_CPP_DIR}")
    set(${ign_msgs_protoc_OUTPUT_CPP_HH_VAR} ${${ign_msgs_protoc_OUTPUT_CPP_HH_VAR}} PARENT_SCOPE)
    set(${ign_msgs_protoc_OUTPUT_CPP_CC_VAR} ${${ign_msgs_protoc_OUTPUT_CPP_CC_VAR}} PARENT_SCOPE)
  endif()

  if(ign_msgs_protoc_GENERATE_RUBY)
    file(MAKE_DIRECTORY ${ign_msgs_protoc_OUTPUT_RUBY_DIR})
    set(output_ruby "${ign_msgs_protoc_OUTPUT_RUBY_DIR}${proto_package_dir}/${FIL_WE}_pb.rb")
    list(APPEND ${ign_msgs_protoc_OUTPUT_RUBY_VAR} ${output_ruby})
    list(APPEND output_files ${output_ruby})
    list(APPEND protoc_args "--ruby_out=${ign_msgs_protoc_OUTPUT_RUBY_DIR}")
    set(${ign_msgs_protoc_OUTPUT_RUBY_VAR} ${${ign_msgs_protoc_OUTPUT_RUBY_VAR}} PARENT_SCOPE)
  endif()

  #get_cmake_property(_variableNames VARIABLES)
  #foreach (_variableName ${_variableNames})
  #    message(STATUS "${_variableName}=${${_variableName}}")
  #endforeach()

  add_custom_command(
    OUTPUT
      ${output_files}
    COMMAND
      ${ign_msgs_protoc_PROTOC_EXEC}
    ARGS
      ${protoc_args}
      ${ABS_FIL}
    DEPENDS
      ${ABS_FIL}
      ign_msgs_gen
    COMMENT "Running protoc on ${ign_msgs_protoc_INPUT_PROTO}"
    VERBATIM)
endfunction()


##################################################
# do the code generation
file (GLOB proto_files ${PROJECT_SOURCE_DIR}/proto/ignition/msgs/*.proto)

foreach(proto_file ${proto_files})
  ign_msgs_protoc(
    PROTO_PACKAGE
      .ignition.msgs
    GENERATE_CPP
    GENERATE_RUBY
    INPUT_PROTO
      ${proto_file}
    PROTOC_EXEC
      protobuf::protoc
    OUTPUT_CPP_DIR
      "${PROJECT_BINARY_DIR}/include"
    OUTPUT_RUBY_DIR
      "${PROJECT_BINARY_DIR}/ruby"
    OUTPUT_CPP_HH_VAR
      gen_headers
    OUTPUT_CPP_CC_VAR
      gen_sources
    OUTPUT_RUBY_VAR
      gen_ruby_scripts
    PROTO_PATH
      "${PROJECT_SOURCE_DIR}/proto")
endforeach()

if(NOT MSVC)
  # -Wno-switch-default flags is required for suppressing a warning in some of
  # the generated protobuf files.
  set_source_files_properties(${gen_sources} COMPILE_FLAGS -Wno-switch-default)
endif()

if(MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${gen_sources} COMPILE_FLAGS "/wd4251 /wd4146")
endif()

set_source_files_properties(${gen_headers} ${gen_sources} ${gen_ruby_scripts}
  PROPERTIES GENERATED TRUE)

message(STATUS "Installing Ruby messages to ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")
install(FILES ${gen_ruby_scripts} DESTINATION ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR})

ign_install_includes(
  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_DESIGNATION}"
  ${gen_headers})


##################################################
# Generate ignition/msgs/MessageTypes.hh
foreach (hdr ${gen_headers})
  string(REPLACE "${PROJECT_BINARY_DIR}/include/" "" hdr ${hdr})
  string(CONCAT ign_msgs_headers ${ign_msgs_headers} "#include <${hdr}>\n")
endforeach()

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/MessageTypes.hh.in
  ${PROJECT_BINARY_DIR}/include/ignition/msgs/MessageTypes.hh)

ign_install_includes(
  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_DESIGNATION}"
  "${PROJECT_BINARY_DIR}/include/ignition/${IGN_DESIGNATION}/MessageTypes.hh")


##################################################
# Build the main library
ign_create_core_library(SOURCES
  ${gen_sources}
  ${PROJECT_SOURCE_DIR}/src/Factory.cc
  ${PROJECT_SOURCE_DIR}/src/Filesystem.cc
  ${PROJECT_SOURCE_DIR}/src/ign.cc
  ${PROJECT_SOURCE_DIR}/src/Utility.cc
  CXX_STANDARD 17)

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    protobuf::libprotobuf
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
  PRIVATE
    TINYXML2::TINYXML2
)

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  SYSTEM PUBLIC $<TARGET_PROPERTY:protobuf::libprotobuf,INTERFACE_INCLUDE_DIRECTORIES>)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # Disable warning in generated *.pb.cc code
  target_compile_options(${PROJECT_LIBRARY_TARGET_NAME} PRIVATE -Wno-extended-offsetof)
endif()

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR_FULL}>)

##################################################
# Build unit tests
ign_get_libsources_and_unittests(sources gtest_sources)

# Build the unit tests.
ign_build_tests(TYPE UNIT
  SOURCES
    ${gtest_sources}
  LIB_DEPS
      TINYXML2::TINYXML2
)

##################################################
# ign msgs command
if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== test/regression/CMakeLists.txt ===

ign_get_sources(tests)

ign_build_tests(TYPE REGRESION SOURCES ${tests})

=== debian/changelog ===
ignition-msgs5 (5.8.1+ds-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add Breaks/Replaces

  [ Jose Luis Rivero ]
  * Use debian-branch and upstream-branch for all gbp commands
  * New upstream version 5.8.1+ds
  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Dec 2021 22:27:00 +0000

ignition-msgs5 (5.8.0+ds-1) experimental; urgency=medium

  * New upstream version 5.8.0+ds
  * Update debian metadata to v5
  * New package to support transition from Gazebo to ignition-gazebo Gazebo
    simulator will be deprecated in the next year, upstream recommends the
    migration to ignition-gazebo. To support this transition, ignition-msgs5
    and ignition-msgs (already available) will be in Debian to support the
    installation of both simulators.  Upstream supports parallel installation
    of different major versions.

    Check https://lists.debian.org/debian-science/2021/08/msg00001.html

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 23 Sep 2021 19:16:19 +0000

ignition-msgs (5.1.0+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use protobuf-api-* package dependency (Closes: #980714)
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jan 2021 15:46:16 +0100

ignition-msgs (5.1.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Don't rely on IFS to split substvars

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Oct 2020 23:50:32 +0200

ignition-msgs (5.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add awk build dependency (for protobuf version in d/rules)
  * Add provides libignition-msgs*-protobuf$abi package

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Jul 2020 15:06:26 +0200

ignition-msgs (5.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Restrict protobuf dependency to current version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Jul 2020 23:10:56 +0200

ignition-msgs (5.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable failing Tests
  * Fix aptopkgtest and update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:17:54 +0200

ignition-msgs (5.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:32:01 +0200

ignition-msgs (5.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 5.1.0+dfsg
  * Rebase patch
  * Update copyright
  * Rename packages (new API)
  * Update dependencies
  * bump policy and debhelper versions (no changes)
  * Cleanup debian/

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 16:08:02 +0200

ignition-msgs (1.0.0+dfsg1-5) unstable; urgency=medium

  * Include the missing the yaml file to fix current broken ign-tools support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 17:26:43 +0000

ignition-msgs (1.0.0+dfsg1-4) unstable; urgency=medium

  * Include ruby ignition-tools file in the -dev package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 12:21:04 +0000

ignition-msgs (1.0.0+dfsg1-3) unstable; urgency=medium

  * Missing protobuf dependencies in -dev package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Feb 2018 17:03:38 +0000

ignition-msgs (1.0.0+dfsg1-2) unstable; urgency=medium

  * Use ign-math4 instead of ign-math2 and remove deprecated patch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Jan 2018 16:35:03 +0100

ignition-msgs (1.0.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Migrate metadata to 1.x series

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 05 Jan 2018 20:29:04 +0000

ignition-msgs (0.7.0-1) unstable; urgency=medium

  * Remove merged pkgconfig patch
  * Imported Upstream version 0.7.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 22:17:05 +0000

ignition-msgs (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 00:03:26 +0000

ignition-msgs (0.5.0-1) unstable; urgency=medium

  * Imported Upstream version 0.5.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Sep 2016 17:01:28 +0000

ignition-msgs (0.4.0-3) unstable; urgency=medium

  * Fix typo in VSC browser
  * Fix pkgconfig file name

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Sep 2016 19:45:38 +0000

ignition-msgs (0.4.0-2) unstable; urgency=medium

  * Added patch to respect CFLAGS
  * Added patch to fix pkgconfig file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Sep 2016 21:19:33 +0000

ignition-msgs (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0 (Closes: #832042)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Jul 2016 22:29:45 +0000

=== debian/control ===
Source: ignition-msgs5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libignition-math-dev (>= 6),
               libignition-cmake-dev (>= 2.8.0),
               protobuf-compiler,
               libtinyxml2-dev,
               mawk | awk,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-msgs
Vcs-Git: https://salsa.debian.org/science-team/ignition-msgs.git
Homepage: https://ignitionrobotics.org/libs/msgs

Package: libignition-msgs5-5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${ignition:Provides}
Multi-Arch: same
Description: Set of message definitions used by robotics apps v5 - Shared lib
 Ignition msgs is a component in the Ignition framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 .
 This package contains the main message library for the 5.x.


Package: libignition-msgs5-dev
Architecture: any
Section: libdevel
Depends: ${protobuf:API},
         libprotoc-dev,
         protobuf-compiler,
         libignition-math-dev (>= 6),
         libignition-cmake-dev (>= 2.8.0),
         libtinyxml2-dev,
         libignition-msgs5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-msgs-dev (<< 5.8.0+ds-1~)
Replaces: libignition-msgs-dev (<< 5.8.0+ds-1~)
Description: Set of message definitions used by robotics apps v5 - Dev files
 Ignition msgs is a component in the Ignition framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 .
 This package contains the headers and other tools for development for the
 5.x series.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

SOVERSION := 5-5

# see #963247, #980423
# extract the protobuf API version package and add it to d/control
# Needed because protobuf generated headers are only compatible with that version
protobufapi := $(shell dpkg-query -W -f '$${Provides}' libprotobuf-dev | grep -o 'protobuf-api-[^ ]*')

# virtual package to represent libignition-msgs and protobuf ABI
ignitionprotoabi := libignition-msgs$(SOVERSION)-protobuf$(shell dpkg-query -W -f '$${Depends}' libprotobuf-dev | sed -n 's/.*libprotobuf\([0-9]*\) .*/\1/p')

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_SSE_FLAGS:BOOL=False \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False

%:
	dh $@

execute_before_dh_gencontrol:
	echo 'ignition:Provides=$(ignitionprotoabi)' >> debian/libignition-msgs$(SOVERSION).substvars
	echo 'protobuf:API=$(protobufapi)' >> debian/libignition-msgs5-dev.substvars

override_dh_makeshlibs:
	dh_makeshlibs -plibignition-msgs$(SOVERSION) -V '$(ignitionprotoabi)'
	dh_makeshlibs --remaining-packages

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/ignitionrobotics/ign-msgs/tags \
		(?:.*?/)@PACKAGE@.*_(5[\d.]*)\.tar\.gz

## ignition-msgs5 5.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs5 VERSION 5.8.1)
+project(ignition-msgs5 VERSION 5.10.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -15,6 +15,12 @@
 # Configure the project
 #============================================================================
 ign_configure_project()
+
+if (UNIX AND NOT APPLE)
+  set (EXTRA_TEST_LIB_DEPS stdc++fs)
+else()
+  set (EXTRA_TEST_LIB_DEPS)
+endif()
 
 #============================================================================
 # Set project-specific options
@@ -69,8 +75,11 @@
 set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})
 
 #--------------------------------------
-# Find if ign command is available
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
 find_program(HAVE_IGN_TOOLS ign)
+set(IGN_TOOLS_VER 1)
 
 #--------------------------------------
 # Find Tinyxml2

=== src/cmd/CMakeLists.txt ===
#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${cmd_script_generated_test}.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(library_location "$<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${IGN_DESIGNATION}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${cmd_script_generated}.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(library_location "../../../${CMAKE_INSTALL_LIBDIR}/$<TARGET_FILE_NAME:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${IGN_DESIGNATION}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)


#===============================================================================
# Bash completion

# Tack version onto and install the bash completion script
configure_file(
  "msgs.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/msgs${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/msgs${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

=== test/regression/CMakeLists.txt ===

ign_get_sources(tests)

ign_build_tests(TYPE REGRESSION SOURCES ${tests})

=== debian/changelog ===
ignition-msgs5 (5.10.0-4~focal) focal; urgency=medium

  * ignition-msgs5 5.10.0-4 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 16:17:06 -0700

ignition-msgs5 (5.10.0-3~focal) focal; urgency=medium

  * ignition-msgs5 5.10.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 14:06:00 -0700

ignition-msgs5 (5.10.0-2~focal) focal; urgency=medium

  * ignition-msgs5 5.10.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 18 Jul 2022 22:14:09 -0700

ignition-msgs5 (5.10.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.10.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Mon, 18 Jul 2022 13:20:43 -0700

ignition-msgs5 (5.9.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Mar 2022 09:49:44 -0700

ignition-msgs5 (5.8.1-1~focal) focal; urgency=medium

  * ignition-msgs5 5.8.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 29 Oct 2021 16:36:53 -0700

ignition-msgs5 (5.8.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 09 Aug 2021 10:36:45 -0700

ignition-msgs5 (5.7.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.7.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 17 Mar 2021 11:34:32 -0500

ignition-msgs5 (5.6.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 28 Dec 2020 10:29:01 -0800

ignition-msgs5 (5.5.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.5.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 21 Dec 2020 16:06:54 -0700

ignition-msgs5 (5.4.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.4.0-1 release

 -- John Shepherd <john@openrobotics.org>  Fri, 13 Nov 2020 13:55:29 -0800

ignition-msgs5 (5.3.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 20 May 2020 18:17:22 -0700

ignition-msgs5 (5.2.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 15:32:58 -0700

ignition-msgs5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 03 Jan 2020 17:04:30 -0800

=== debian/control ===
Source: ignition-msgs5
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake2-dev,
               libignition-math6-dev,
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://github.com/gazebosim/gz-msgs
Vcs-Git: https://github.com/gazebosim/gz-msgs
Homepage: http://gazebosim.org/

Package: libignition-msgs5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for Gazebo applications - Shared library
 This library provides a set of google protobuf messages that are typically used
 in Gazebo applications.

Package: libignition-msgs5-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-msgs5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for Gazebo applications - Development files
 This library provides a set of google protobuf messages that are typically used
 in Gazebo applications.

Package: libgz-msgs5
Depends: libignition-msgs5, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-msgs5-dev
Depends: libignition-msgs5-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Multiarch (if supported). Required for precise
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Configuration flags.
CONFIGURE_ARGS=
 
# If multiarch is supported, override CMAKE_INSTALL_LIB
ifneq ($(DEB_HOST_MULTIARCH),)
CONFIGURE_ARGS+=-DCMAKE_INSTALL_LIBDIR:STRING="lib/${DEB_HOST_MULTIARCH}"
endif

.PHONY: override_dh_auto_configure override_dh_auto_test

%:
	dh $@ --parallel

# https://github.com/gazebosim/gz-msgs/issues/32/initpointcloudpacked-test-failed-on-i386
override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),i386)
	true
else
	dh_auto_test
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
            $(CONFIGURE_ARGS)

## ignition-msgs5 5.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,18 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs5 VERSION 5.10.0)
+project(ignition-msgs5 VERSION 5.11.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 if (UNIX AND NOT APPLE)
   set (EXTRA_TEST_LIB_DEPS stdc++fs)

=== debian/changelog ===
ignition-msgs5 (5.11.0-1~focal) focal; urgency=medium

  * ignition-msgs5 5.11.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 11 Oct 2022 05:10:11 -0700

ignition-msgs5 (5.11.0~pre1-1~focal) focal; urgency=medium

  * ignition-msgs5 5.11.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 10 Oct 2022 14:32:53 -0700

## ignition-msgs5 5.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs5 VERSION 5.11.0)
+project(ignition-msgs5 VERSION 5.11.1)
 
 #============================================================================
 # Find ignition-cmake
@@ -62,9 +62,7 @@
 
 #--------------------------------------
 # Find Protobuf
-set(REQ_PROTOBUF_VER 3)
 ign_find_package(IgnProtobuf
-                 VERSION ${REQ_PROTOBUF_VER}
                  REQUIRED
                  COMPONENTS all
                  PRETTY Protobuf)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -144,11 +144,11 @@
 set_source_files_properties(${gen_headers} ${gen_sources} ${gen_ruby_scripts}
   PROPERTIES GENERATED TRUE)
 
-message(STATUS "Installing Ruby messages to ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")
-install(FILES ${gen_ruby_scripts} DESTINATION ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR})
+message(STATUS "Installing Ruby messages to ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")
+install(FILES ${gen_ruby_scripts} DESTINATION ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR})
 
 ign_install_includes(
-  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_DESIGNATION}"
+  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${GZ_DESIGNATION}"
   ${gen_headers})
 
 
@@ -163,8 +163,8 @@
   ${PROJECT_BINARY_DIR}/include/ignition/msgs/MessageTypes.hh)
 
 ign_install_includes(
-  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_DESIGNATION}"
-  "${PROJECT_BINARY_DIR}/include/ignition/${IGN_DESIGNATION}/MessageTypes.hh")
+  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${GZ_DESIGNATION}"
+  "${PROJECT_BINARY_DIR}/include/ignition/${GZ_DESIGNATION}/MessageTypes.hh")
 
 
 ##################################################
